package cn.com.ctop.kuaishou.modules.report.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.List;

public interface NewMonitorService {
    public Result synchronousKuaiShouMonitor(String type, Long accId);

    public Result synchronousTouTiaoMonitor(String type, Long accId);

    List<JSONObject> getKuaiShouGroupMessage(JSONArray array, String startDate, String endDate, String target);

    JSONObject getKuaiShouGroupSum(JSONArray array, String startDate, String endDate);

    List<JSONObject> getKuaiShouGroupMessageGroup(JSONArray array, String startDate, String endDate);

    List<JSONObject> getPlanMessage(JSONArray array, String startDate, String endDate, String target, String project);

    JSONObject getPlanSum(JSONArray array, String startDate, String endDate, String project);

    List<JSONObject> getPlanMessageGroup(JSONArray array, String startDate, String endDate, String project);

    List<JSONObject> getOperator(String userId, String userName);
}
